## org.eclipse.datatools.modelbase.sql.statements.util
Class SQLStatementsSwitch

    java.lang.Object
      org.eclipse.datatools.modelbase.sql.statements.util.SQLStatementsSwitch

    public class SQLStatementsSwitch

extends java.lang.Object

The Switch for the model's inheritance hierarchy. It supports the call `doSwitch(object)` to invoke the `caseXXX` method for each class of the model, starting with the actual class of the object and proceeding up the inheritance hierarchy until a non-null result is returned, which is the result of the switch.

See Also:
  `SQLStatementsPackage`

Constructor Summary
`SQLStatementsSwitch()` Creates an instance of the switch.

Method Summary
`java.lang.Object` `caseEModelElement(EModelElement object)` Returns the result of interpretting the object as an instance of 'EModel Element'.
`java.lang.Object` `caseENamedElement(ENamedElement object)` Returns the result of interpretting the object as an instance of 'ENamed Element'.
`java.lang.Object` `caseSQLConnectionStatement(SQLConnectionStatement object)` Returns the result of interpretting the object as an instance of 'SQL Connection Statement'.
`java.lang.Object` `caseSQLControlStatement(SQLControlStatement object)` Returns the result of interpretting the object as an instance of 'SQL Control Statement'.
`java.lang.Object` `caseSQLDataChangeStatement(SQLDataChangeStatement object)` Returns the result of interpretting the object as an instance of 'SQL Data Change Statement'.
`java.lang.Object` `caseSQLDataStatement(SQLDataStatement object)` Returns the result of interpretting the object as an instance of 'SQL Data Statement'.
`java.lang.Object` `caseSQLDiagnosticsStatement(SQLDiagnosticsStatement object)` Returns the result of interpretting the object as an instance of 'SQL Diagnostics Statement'.
`java.lang.Object` `caseSQLDynamicStatement(SQLDynamicStatement object)` Returns the result of interpretting the object as an instance of 'SQL Dynamic Statement'.
`java.lang.Object` `caseSQLObject(SQLObject object)` Returns the result of interpretting the object as an instance of 'SQL Object'.
`java.lang.Object` `caseSQLSchemaStatement(SQLSchemaStatement object)` Returns the result of interpretting the object as an instance of 'SQL Schema Statement'.
`java.lang.Object` `caseSQLSessionStatement(SQLSessionStatement object)` Returns the result of interpretting the object as an instance of 'SQL Session Statement'.
`java.lang.Object` `caseSQLStatement(SQLStatement object)` Returns the result of interpretting the object as an instance of 'SQL Statement'.
`java.lang.Object` `caseSQLStatementDefault(SQLStatementDefault object)` Returns the result of interpretting the object as an instance of 'SQL Statement Default'.
`java.lang.Object` `caseSQLTransactionStatement(SQLTransactionStatement object)` Returns the result of interpretting the object as an instance of 'SQL Transaction Statement'.
`java.lang.Object` `defaultCase(EObject object)` Returns the result of interpretting the object as an instance of 'EObject'.
`java.lang.Object` `doSwitch(EObject theEObject)` Calls `caseXXX` for each class of the model until one returns a non null result; it yields that result.

Methods inherited from class java.lang.Object
`equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### SQLStatementsSwitch

    public SQLStatementsSwitch()

  Creates an instance of the switch.

Method Detail

### doSwitch

    public java.lang.Object doSwitch(EObject theEObject)

  Calls `caseXXX` for each class of the model until one returns a non null result; it yields that result.

  Returns:
    the first non-null result returned by a `caseXXX` call.

### caseSQLStatement

    public java.lang.Object caseSQLStatement(SQLStatement object)

  Returns the result of interpretting the object as an instance of 'SQL Statement'. This implementation returns null; returning a non-null result will terminate the switch.

  Parameters:
    `object` - the target of the switch.
  Returns:
    the result of interpretting the object as an instance of 'SQL Statement'.
  See Also:
    `doSwitch(EObject)`

### caseSQLDataStatement

    public java.lang.Object caseSQLDataStatement(SQLDataStatement object)

  Returns the result of interpretting the object as an instance of 'SQL Data Statement'. This implementation returns null; returning a non-null result will terminate the switch.

  Parameters:
    `object` - the target of the switch.
  Returns:
    the result of interpretting the object as an instance of 'SQL Data Statement'.
  See Also:
    `doSwitch(EObject)`

### caseSQLSchemaStatement

    public java.lang.Object caseSQLSchemaStatement(SQLSchemaStatement object)

  Returns the result of interpretting the object as an instance of 'SQL Schema Statement'. This implementation returns null; returning a non-null result will terminate the switch.

  Parameters:
    `object` - the target of the switch.
  Returns:
    the result of interpretting the object as an instance of 'SQL Schema Statement'.
  See Also:
    `doSwitch(EObject)`

### caseSQLControlStatement

    public java.lang.Object caseSQLControlStatement(SQLControlStatement object)

  Returns the result of interpretting the object as an instance of 'SQL Control Statement'. This implementation returns null; returning a non-null result will terminate the switch.

  Parameters:
    `object` - the target of the switch.
  Returns:
    the result of interpretting the object as an instance of 'SQL Control Statement'.
  See Also:
    `doSwitch(EObject)`

### caseSQLDataChangeStatement

    public java.lang.Object caseSQLDataChangeStatement(SQLDataChangeStatement object)

  Returns the result of interpretting the object as an instance of 'SQL Data Change Statement'. This implementation returns null; returning a non-null result will terminate the switch.

  Parameters:
    `object` - the target of the switch.
  Returns:
    the result of interpretting the object as an instance of 'SQL Data Change Statement'.
  See Also:
    `doSwitch(EObject)`

### caseSQLStatementDefault

    public java.lang.Object caseSQLStatementDefault(SQLStatementDefault object)

  Returns the result of interpretting the object as an instance of 'SQL Statement Default'. This implementation returns null; returning a non-null result will terminate the switch.

  Parameters:
    `object` - the target of the switch.
  Returns:
    the result of interpretting the object as an instance of 'SQL Statement Default'.
  See Also:
    `doSwitch(EObject)`

### caseSQLConnectionStatement

    public java.lang.Object caseSQLConnectionStatement(SQLConnectionStatement object)

  Returns the result of interpretting the object as an instance of 'SQL Connection Statement'. This implementation returns null; returning a non-null result will terminate the switch.

  Parameters:
    `object` - the target of the switch.
  Returns:
    the result of interpretting the object as an instance of 'SQL Connection Statement'.
  See Also:
    `doSwitch(EObject)`

### caseSQLDiagnosticsStatement

    public java.lang.Object caseSQLDiagnosticsStatement(SQLDiagnosticsStatement object)

  Returns the result of interpretting the object as an instance of 'SQL Diagnostics Statement'. This implementation returns null; returning a non-null result will terminate the switch.

  Parameters:
    `object` - the target of the switch.
  Returns:
    the result of interpretting the object as an instance of 'SQL Diagnostics Statement'.
  See Also:
    `doSwitch(EObject)`

### caseSQLDynamicStatement

    public java.lang.Object caseSQLDynamicStatement(SQLDynamicStatement object)

  Returns the result of interpretting the object as an instance of 'SQL Dynamic Statement'. This implementation returns null; returning a non-null result will terminate the switch.

  Parameters:
    `object` - the target of the switch.
  Returns:
    the result of interpretting the object as an instance of 'SQL Dynamic Statement'.
  See Also:
    `doSwitch(EObject)`

### caseSQLSessionStatement

    public java.lang.Object caseSQLSessionStatement(SQLSessionStatement object)

  Returns the result of interpretting the object as an instance of 'SQL Session Statement'. This implementation returns null; returning a non-null result will terminate the switch.

  Parameters:
    `object` - the target of the switch.
  Returns:
    the result of interpretting the object as an instance of 'SQL Session Statement'.
  See Also:
    `doSwitch(EObject)`

### caseSQLTransactionStatement

    public java.lang.Object caseSQLTransactionStatement(SQLTransactionStatement object)

  Returns the result of interpretting the object as an instance of 'SQL Transaction Statement'. This implementation returns null; returning a non-null result will terminate the switch.

  Parameters:
    `object` - the target of the switch.
  Returns:
    the result of interpretting the object as an instance of 'SQL Transaction Statement'.
  See Also:
    `doSwitch(EObject)`

### caseEModelElement

    public java.lang.Object caseEModelElement(EModelElement object)

  Returns the result of interpretting the object as an instance of 'EModel Element'. This implementation returns null; returning a non-null result will terminate the switch.

  Parameters:
    `object` - the target of the switch.
  Returns:
    the result of interpretting the object as an instance of 'EModel Element'.
  See Also:
    `doSwitch(EObject)`

### caseENamedElement

    public java.lang.Object caseENamedElement(ENamedElement object)

  Returns the result of interpretting the object as an instance of 'ENamed Element'. This implementation returns null; returning a non-null result will terminate the switch.

  Parameters:
    `object` - the target of the switch.
  Returns:
    the result of interpretting the object as an instance of 'ENamed Element'.
  See Also:
    `doSwitch(EObject)`

### caseSQLObject

    public java.lang.Object caseSQLObject(SQLObject object)

  Returns the result of interpretting the object as an instance of 'SQL Object'. This implementation returns null; returning a non-null result will terminate the switch.

  Parameters:
    `object` - the target of the switch.
  Returns:
    the result of interpretting the object as an instance of 'SQL Object'.
  See Also:
    `doSwitch(EObject)`

### defaultCase

    public java.lang.Object defaultCase(EObject object)

  Returns the result of interpretting the object as an instance of 'EObject'. This implementation returns null; returning a non-null result will terminate the switch, but this is the last case anyway.

  Parameters:
    `object` - the target of the switch.
  Returns:
    the result of interpretting the object as an instance of 'EObject'.
  See Also:
    `#doSwitch(org.eclipse.emf.ecore.EObject)`

Copyright © 2006 -- 2008 Actuate, IBM Corporation, Sybase, Inc. and others. All rights reserved.